Tor Browser Bundle (2.2.39-4); suite=linux

  * Update Firefox patches to prevent crashing (closes: #7128)
  * Update HTTPS Everywhere to 3.0.2
  * Update NoScript to 2.5.8

 -- Erinn Clark <erinn@torproject.org>  Thu Oct 18 08:40:15 BST 2012

Tor Browser Bundle (2.2.39-3); suite=linux

  * Update Firefox to 10.0.9esr

 -- Erinn Clark <erinn@torproject.org>  Sat Oct 13 10:06:07 BST 2012

Tor Browser Bundle (2.2.39-2); suite=linux

  * Update Firefox to 10.0.8esr
  * Update Torbutton to 1.4.6.3
  * Update NoScript to 2.5.7
  * Update HTTPS Everywhere to 2.2.2
  * Update libpng to 1.5.13

 -- Erinn Clark <erinn@torproject.org>  Thu Oct 11 11:09:02 BST 2012

Tor Browser Bundle (2.2.39-1); suite=linux

  * Update Tor to 0.2.2.39
  * Update NoScript to 2.5.4

 -- Erinn Clark <erinn@torproject.org>  Tue Sep 11 19:09:39 BST 2012

Tor Browser Bundle (2.2.38-2); suite=linux

  * Update Firefox to 10.0.7esr
  * Update Libevent to 2.0.20-stable
  * Update NoScript to 2.5.2
  * Update HTTPS Everywhere to 2.2.1

 -- Erinn Clark <erinn@torproject.org>  Mon Aug 27 07:11:22 BST 2012

Tor Browser Bundle (2.2.38-1); suite=linux

  * Update Tor to 0.2.2.38
  * Update NoScript to 2.5
  * Update HTTPS Everywhere to 2.1

 -- Erinn Clark <erinn@torproject.org>  Mon Aug 13 22:58:58 BST 2012

Tor Browser Bundle (2.2.37-2); suite=linux

  * Update Firefox to 10.0.6esr
  * Update Vidalia to 0.2.20
  * Update NoScript to 2.4.8
  * Disable Firefox crashreporter

 -- Erinn Clark <erinn@torproject.org>  Wed Jul 18 17:34:13 BST 2012

Tor Browser Bundle (2.2.37-1); suite=linux

  * Update Tor to 0.2.2.37
  * Switch Firefox to 10.0.5esr, since we will be tracking the extended stable
    releases for TBB stable versions
  * Update Vidalia to 0.2.19
  * Update Torbutton to 1.4.6
  * Update NoScript to 2.4.4

 -- Erinn Clark <erinn@torproject.org>  Thu Jun  7 17:51:01 BRT 2012

Tor Browser Bundle (2.2.36-1); suite=linux

  * Update Tor to 0.2.2.36
  * Update NoScript to 2.4.3
  * Update HTTPS Everywhere to 2.0.5

 -- Erinn Clark <erinn@torproject.org>  Mon May 28 15:50:12 BRT 2012

Tor Browser Bundle (2.2.35-12); suite=linux

  * Update OpenSSL to 1.0.1c
  * Update Libevent to 2.0.19-stable
  * Update zlib to 1.2.7
  * Update NoScript to 2.4.1

 -- Erinn Clark <erinn@torproject.org>  Fri May 11 20:16:14 BRT 2012

Tor Browser Bundle (2.2.35-11); suite=linux

  * Security release to stop TorBrowser from bypassing SOCKS proxy DNS
    configuration
  * New Firefox patches:
    - Prevent WebSocket DNS leak (closes: #5741)
    - Fix a race condition that could be used to link browsing sessions
      together when using new identity from Tor Browser (closes: #5715)
  * Remove extraneous BetterPrivacy settings from prefs.js (closes: #5722)

 -- Erinn Clark <erinn@torproject.org>  Thu May  3 08:00:03 BRT 2012

Tor Browser Bundle (2.2.35-10); suite=linux

  * Update Firefox to 12.0
  * Update OpenSSL to 1.0.1b
  * Update Libevent to 2.0.18-stable
  * Update Qt to 4.8.1
  * Update Libpng to 1.5.10
  * Update HTTPS Everywhere to 2.0.2
  * Update NoScript to 2.3.9
  * Rebrand Firefox to TorBrowser (closes: #2176)
  * New Firefox patches
    - Make Download Manager memory-only (closes: #4017)
    - Add DuckDuckGo and Startpage to Omnibox (closes: #4902)

 -- Erinn Clark <erinn@torproject.org>  Fri Apr 27 12:43:35 BRT 2012

Tor Browser Bundle (2.2.35-9); suite=linux

  * Fix launch script to prevent Vidalia from running in debug mode all the
    time (closes: #5417)

 -- Erinn Clark <erinn@torproject.org>  Mon Mar 19 01:10:06 BRT 2012

Tor Browser Bundle (2.2.35-8); suite=linux

  * Update Firefox to 11.0
  * Update OpenSSL to 1.0.0h
  * Update NoScript to 2.3.4
  * Update HTTPS Everywhere to 2.0.1
  * Always build to with warnings enabled (closes; #4470)
  * Disable HTTPS Everywhere SSL Observatory screen (closes: #5300)
  * Don't attempt to load the default KDE 4 theme from Vidalia, because that
    fails when the Qt versions don't match (closes: #5214)

 -- Erinn Clark <erinn@torproject.org>  Fri Mar 16 18:05:13 BRT 2012

Tor Browser Bundle (2.2.35-7.2); suite=linux

  * Really update Firefox to 10.0.2
  * Update libpng to 1.5.9

 -- Sebastian Hahn <sebastian@torproject.org>  Sun Feb 19 22:41:56 CET 2012

Tor Browser Bundle (2.2.35-7); suite=linux

  * Update Firefox to 10.0.2
  * Update libpng to 1.5.8 (closes: #5144)

 -- Erinn Clark <erinn@torproject.org>  Fri Feb 17 15:30:12 CET 2012

Tor Browser Bundle (2.2.35-6); suite=linux

  * Update Firefox to 10.0.1
  * Update Vidalia to 0.2.17
  * Update Libevent to 2.0.17-stable
  * Update NoScript to 2.3

 -- Erinn Clark <erinn@torproject.org>  Sun Feb 12 14:16:42 CET 2012

Tor Browser Bundle (2.2.35-5); suite=linux

  * Update Firefox to 10.0
  * Update Qt to 4.7.4
  * Update OpenSSL to 1.0.0g
  * Update zlib to 1.2.6
  * Update HTTPS Everywhere to 1.2.2
  * Update NoScript to 2.2.8
  * New Firefox patches
    - Limit the number of fonts per document
  * Put documentation in remove-shared-lib-symlinks debug dumps (closes: #4984)

 -- Erinn Clark <erinn@torproject.org>  Fri Feb  3 00:17:09 CET 2012

Tor Browser Bundle (2.2.35-4); suite=linux

  * Update OpenSSL to 1.0.0f
  * Update NoScript to 2.2.5

 -- Erinn Clark <erinn@torproject.org>  Thu Jan  5 11:02:28 CET 2012

Tor Browser Bundle (2.2.35-3); suite=linux

  * Update Firefox to 9.0.1

 -- Erinn Clark <erinn@torproject.org>  Thu Dec 22 21:42:39 CET 2011

Tor Browser Bundle (2.2.35-2); suite=linux

  * Update Firefox to 9.0
  * Update Torbutton to 1.4.5.1
  * Update Noscript to 2.2.4
  * New Firefox patches
    - Provide client values only to CSS Media Queries and disable several
      Mozilla extensions that seem fingerprintable

 -- Erinn Clark <erinn@torproject.org>  Wed Dec 21 23:26:56 CET 2011

Tor Browser Bundle (2.2.35-1); suite=linux

  * Update Tor to 0.2.2.35
  * Update NoScript to 2.2.3
  * Update Torbutton to 1.4.5
  * New Firefox patches
    - Disable SSL Session ID tracking
    - Provide an observer event to close persistent connections

 -- Erinn Clark <erinn@torproject.org>  Fri Dec 16 03:56:12 GMT 2011

Tor Browser Bundle (2.2.34-3); suite=linux

  * Update Firefox to 8.0.1
  * Update Libevent to 2.0.16-stable
  * Update NoScript to 2.2
  * Update HTTPS Everywhere to 1.2.1
  * Begin building Tor with --enable-gcc-warnings

 -- Erinn Clark <erinn@torproject.org>  Wed Nov 23 16:15:36 GMT 2011

Tor Browser Bundle (2.2.34-2); suite=linux

  * Update Firefox to 8.0
  * Update Libevent to 2.0.15-stable
  * Update NoScript to 2.1.8
  * Add extensions.autoDisableScopes to allow TBB's Firefox to launch with its
    extensions enabled

 -- Erinn Clark <erinn@torproject.org>  Fri Nov 11 04:04:59 GMT 2011

Tor Browser Bundle (2.2.34-1); suite=linux

  * Update Tor to 0.2.2.34
  * Update NoScript 2.1.7
  * Update HTTPS Everywhere to 1.1

 -- Erinn Clark <erinn@torproject.org>  Thu Oct 27 02:33:56 BST 2011

Tor Browser Bundle (2.2.33-3); suite=linux

  * Update Vidalia to 0.2.15
  * Update Torbutton to 1.4.4
  * Update NoScript to 2.1.4
  * Remove trailing dash from Windows version number (closes: #4160)
  * Make Tor Browser (Aurora) fail closed when not launched with a TBB profile
    (closes: #4192)

 -- Erinn Clark <erinn@torproject.org>  Tue Oct 11 16:01:27 BST 2011

Tor Browser Bundle (2.2.33-2); suite=linux

  * Update Firefox to 7.0.1

 -- Erinn Clark <erinn@torproject.org>  Fri Sep 30 16:32:50 BST 2011

Tor Browser Bundle (2.2.33-1); suite=linux

  * Update Firefox to 7
  * Update OpenSSL to 1.0.0e (closes: #3996)
  * Update Tor to 0.2.2.33
  * Update NoScript to 2.1.2.8
  * Downgrade HTTPS Everywhere to 1.0.3, because we don't want stable TBBs to
    use development versions of extensions (closes: #4050)

 -- Erinn Clark <erinn@torproject.org>  Thu Sep 29 15:52:32 BST 2011

Tor Browser Bundle (2.2.32-4); suite=linux

  * Fix Makefile to allow for automatic retrieval of Qt and libpng (closes: #2255)
  * Remove symlinks from tarball (closes: #2312)
  * New Firefox patches
    - Prevent Firefox from loading all system plugins besides Flash (closes: #2826, #3547)
    - Prevent content-preferences service from writing website urls and their settings to disk (closes: #3229)
  * Update Torbutton to 1.4.3
    - Don't let Torbutton inadvertently enable automatic updating in Firefox (closes: #3933)
    - Fix auto-scroll on Twitter (closes: #3960)
    - Allow site zoom information to be stored (closes: #3928)
    - Make permissions and disk errors human-readable (closes: #3649)

 -- Erinn Clark <erinn@torproject.org>  Sat Sep 10 00:33:48 BST 2011

Tor Browser Bundle (2.2.32-3) alpha; suite=linux

  * Update Firefox to 6.0.2
  * New Firefox patches
    - Improve cache APIs to enable better isolation (closes: #3666)
    - Provide auth headers to on-modify-request (closes: #3907)
    - Enable HTTP Pipelining as an experimental fingerprinting defense  (closes: #3914)
    - Enable HTTP pipelining in TBB prefs.js too (closes: #3913)
  * Update Torbutton to 1.4.2
  * Update NoScript to 2.1.2.7
  * Update libpng to 1.4.8 (closes: #3906)
  * Make the TBB launch script work when using a relative symlink (closes: #2525)

Tor Browser Bundle (2.2.32-2) alpha; suite=linux

  * Update Firefox to 6.0.1, with an additional patch to exclude DigiNotar completely
    - https://gitweb.torproject.org/torbrowser.git/commit/0be3b043afa0e54d207f603a3bf3716f6165caa1
    For the full saga, read:
    - http://blog.mozilla.com/security/2011/08/29/fraudulent-google-com-certificate/
    - http://googleonlinesecurity.blogspot.com/2011/08/update-on-attempted-man-in-middle.html
  * Update Libevent to 2.0.14-stable
  * Update torbrowser.version string in prefs.js to have more information (see #3504)
  * Enable internationalized bundles by adding and changing the
    general.useragent.locale pref in prefs.js

 -- Erinn Clark <erinn@torproject.org>  Wed Aug 31 17:43:09 BST 2011

Tor Browser Bundle (2.2.32-1) alpha; suite=linux

  * Update Tor to 0.2.2.32
  * Update Vidalia to 0.2.14
  * Update Torbutton to 1.4.1
  * Enable automatic port choosing (closes: #2264)

 -- Erinn Clark <erinn@torproject.org>  Sun Aug 28 17:20:46 BST 2011

Tor Browser Bundle (2.2.31-2) alpha; suite=linux

  * Fix x86_64 bundle to have the right libraries and binaries (closes: #3773)

 -- Erinn Clark <erinn@torproject.org>  Mon Aug 22 23:47:27 CEST 2011

Tor Browser Bundle (2.2.31-1) alpha; suite=linux

  * Update Tor to 0.2.2.31-rc
  * Update Firefox to 6.0
  * Update Libevent to 2.0.13-stable
  * Update NoScript to 2.1.2.6
  * Update HTTPS Everywhere to 1.0.0development.5
  * Remove BetterPrivacy until we can figure out how to make it safe in all
    bundles (see #3597)

 -- Erinn Clark <erinn@torproject.org>  Sat Aug 20 20:40:52 CEST 2011

Tor Browser Bundle (2.2.30-1) alpha; suite=linux

  * Update Tor to 0.2.2.30-rc
  * Update Firefox to 5.0.1
  * Update Torbutton to 1.4.0
  * Update HTTPS Everywhere to 1.0.0development.4
  * Update NoScript to 2.1.1.2

 -- Erinn Clark <erinn@torproject.org>  Wed Jul 13 09:07:41 ART 2011

Tor Browser Bundle (2.2.29-1) alpha; suite=linux

  * Update Tor to 0.2.2.29-beta
  * Update Libevent to 2.0.12-stable
  * Update HTTPS Everywhere to 0.9.9.development.6
  * Update NoScript to 2.1.1.1
  * Update BetterPrivacy to 1.51

 -- Erinn Clark <erinn@torproject.org>  Tue Jun 21 18:06:27 ART 2011

Tor Browser Bundle (2.2.27-1) alpha; suite=linux

  * Update Tor to 0.2.2.27-beta
  * Update HTTPS Everywhere to 0.9.9.development.5
  * Update NoScript to 2.1.0.5

 -- Erinn Clark <erinn@torproject.org>  Fri May 20 22:42:33 ART 2011

Tor Browser Bundle (2.2.25-1) alpha; suite=linux

  * Update Tor to 0.2.2.25-alpha
  * Update Firefox to 4.0.1
  * Update Torbutton to 1.3.3-alpha
  * Update BetterPrivacy to 1.50
  * Update NoScript to 2.1.0.3

 -- Erinn Clark <erinn@torproject.org>  Tue May  3 11:49:53 IDT 2011

Tor Browser Bundle (2.2.24-1) alpha; suite=linux

  * Update Tor to 0.2.2.24-alpha
  * Update Vidalia to 0.2.12
  * Update NoScript to 2.1.0.1
  * Fix missing extensions by putting them in the right location (closes: #2828)
  * Disable plugin searching (closes: #2827)

 -- Erinn Clark <erinn@torproject.org>  Wed Apr 13 00:08:55 CEST 2011

Tor Browser Bundle (2.2.23-1) alpha; suite=linux

  * Create new bundles for Firefox 4, both i386 and x86_64
  * Update Tor to 0.2.2.23-alpha
  * Update Torbutton to 1.3.2-alpha
  * Update OpenSSL to 1.0.0d
  * Update HTTPS-Everywhere to 0.9.9.development.4
  * Update NoScript to 2.0.9.9
  * Update BetterPrivacy to 1.49

 -- Erinn Clark <erinn@torproject.org>  Thu Mar 31 15:49:06 CEST 2011
